import * as player from '../player';
import * as event from '../event';
import * as internalMessage from '../internal-message';
import * as kyc from '../kyc';
import * as responsibleGaming from '../responsible-gaming';
import * as wallet from '../wallet';

var _SessionID = void 0;
var _SSOToken = void 0;

describe('API', function () {
  describe('User', function () {
    it('should not allow signIn with incorrect credential', function () {
      expect.assertions(1);
      return player.signIn({
        Username: 'vunguyen',
        Password: 'Tuanvu1234'
      }).catch(function (err) {
        return expect(err).toBeDefined();
      });
    });

    it('should allow signIn with correct credential', function () {
      expect.assertions(1);
      return player.signIn({
        Username: 'vunguyen',
        Password: 'Tuanvu123'
      }).then(function (sessionId) {
        _SessionID = sessionId;
        return expect(sessionId).toBeDefined();
      });
    });

    it('should create sso token when given correct sessionID', function () {
      expect.assertions(1);
      return player.createSSOToken(_SessionID).then(function (ssoToken) {
        _SSOToken = ssoToken;
        return expect(ssoToken).toBeDefined();
      });
    });
  });
});