import { getProtected, postProtected } from './utils';

export var getProperties = function getProperties(playerSessionID) {
  return getProtected('/player-properties', playerSessionID);
};

export var getProperty = function getProperty(playerSessionID, propertyName) {
  return getProtected('/player-properties/' + propertyName, playerSessionID);
};

export var setProperties = function setProperties(playerSessionID, payload) {
  return postProtected('/player-properties', playerSessionID, payload);
};

export default {
  getProperties: getProperties,
  getProperty: getProperty,
  setProperties: setProperties
};