import { post, postProtected } from '../lib/utils';

export var getBetssonContext = function getBetssonContext(_ref) {
  var playerSessionID = _ref.playerSessionID,
      Language = _ref.Language,
      Currency = _ref.Currency,
      Jurisdiction = _ref.Jurisdiction,
      UserAgent = _ref.UserAgent,
      CountryCode = _ref.CountryCode,
      Platform = _ref.Platform,
      IframeSetup = _ref.IframeSetup,
      DeepLinking = _ref.DeepLinking;

  if (playerSessionID) {
    return postProtected('/sportsbook/create-betsson-context', playerSessionID, {
      Language: Language,
      Currency: Currency,
      Jurisdiction: Jurisdiction,
      UserAgent: UserAgent,
      CountryCode: CountryCode,
      Platform: Platform,
      IframeSetup: IframeSetup,
      DeepLinking: DeepLinking
    });
  } else {
    return post('/sportsbook/create-betsson-context', {
      Language: Language,
      Currency: Currency,
      Jurisdiction: Jurisdiction,
      UserAgent: UserAgent,
      CountryCode: CountryCode,
      Platform: Platform,
      IframeSetup: IframeSetup,
      DeepLinking: DeepLinking
    });
  }
};

export default {
  getBetssonContext: getBetssonContext
};