'use strict';

var _player = require('../player');

var player = _interopRequireWildcard(_player);

var _event = require('../event');

var event = _interopRequireWildcard(_event);

var _internalMessage = require('../internal-message');

var internalMessage = _interopRequireWildcard(_internalMessage);

var _kyc = require('../kyc');

var kyc = _interopRequireWildcard(_kyc);

var _responsibleGaming = require('../responsible-gaming');

var responsibleGaming = _interopRequireWildcard(_responsibleGaming);

var _wallet = require('../wallet');

var wallet = _interopRequireWildcard(_wallet);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var _SessionID = void 0;
var _SSOToken = void 0;

describe('API', function () {
  describe('User', function () {
    it('should not allow signIn with incorrect credential', function () {
      expect.assertions(1);
      return player.signIn({
        Username: 'vunguyen',
        Password: 'Tuanvu1234'
      }).catch(function (err) {
        return expect(err).toBeDefined();
      });
    });

    it('should allow signIn with correct credential', function () {
      expect.assertions(1);
      return player.signIn({
        Username: 'vunguyen',
        Password: 'Tuanvu123'
      }).then(function (sessionId) {
        _SessionID = sessionId;
        return expect(sessionId).toBeDefined();
      });
    });

    it('should create sso token when given correct sessionID', function () {
      expect.assertions(1);
      return player.createSSOToken(_SessionID).then(function (ssoToken) {
        _SSOToken = ssoToken;
        return expect(ssoToken).toBeDefined();
      });
    });
  });
});