'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLastPlayedGames = exports.setLastPlayedGame = exports.getFavorites = exports.removeFavorite = exports.setFavorite = undefined;

var _utils = require('./utils');

var setFavorite = exports.setFavorite = function setFavorite(playerSessionID, gameId) {
  var tableId = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
  var setLinkedGames = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

  return (0, _utils.postProtected)('/casino/set-favorite/' + gameId + '?setLinkedGames=' + setLinkedGames + (tableId ? '&tableId=' + tableId : ''), playerSessionID);
};

var removeFavorite = exports.removeFavorite = function removeFavorite(playerSessionID, gameId) {
  var tableId = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
  var removeLinkedGames = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;

  return (0, _utils.postProtected)('/casino/remove-favorite/' + gameId + '?removeLinkedGames=' + removeLinkedGames + (tableId ? '&tableId=' + tableId : ''), playerSessionID);
};

var getFavorites = exports.getFavorites = function getFavorites(playerSessionID) {
  return (0, _utils.getProtected)('/casino/favorites', playerSessionID);
};

var setLastPlayedGame = exports.setLastPlayedGame = function setLastPlayedGame(playerSessionID, gameId, tableId) {
  var setLinkedGames = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
  return (0, _utils.postProtected)('/casino/set-last-played-game?gameId=' + gameId + '&setLinkedGames=' + setLinkedGames + (tableId ? '&tableId=' + tableId : ''), playerSessionID);
};

var getLastPlayedGames = exports.getLastPlayedGames = function getLastPlayedGames(playerSessionID, platform) {
  return (0, _utils.getProtected)('/casino/last-played-games' + (platform ? '?platform=' + platform : ''), playerSessionID);
};

exports.default = {
  setFavorite: setFavorite,
  removeFavorite: removeFavorite,
  getFavorites: getFavorites,
  setLastPlayedGame: setLastPlayedGame,
  getLastPlayedGames: getLastPlayedGames
};