'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sourceOfWealthV2 = exports.sourceOfWealth = exports.upload = exports.getKyc = undefined;

var _utils = require('./utils');

var getKyc = exports.getKyc = function getKyc(playerSessionID) {
  return (0, _utils.getProtected)('/kyc', playerSessionID);
};

var upload = exports.upload = function upload(playerSessionID, data) {
  return (0, _utils.uploadFile)('/kyc/upload', data, playerSessionID);
};

var sourceOfWealth = exports.sourceOfWealth = function sourceOfWealth(playerSessionID, data) {
  return (0, _utils.postProtected)('/kyc/source-of-wealth', playerSessionID, data);
};

var sourceOfWealthV2 = exports.sourceOfWealthV2 = function sourceOfWealthV2(playerSessionID, data) {
  return (0, _utils.postProtected)('/kyc/source-of-wealth/v2', playerSessionID, data);
};

exports.default = {
  getKyc: getKyc,
  upload: upload,
  sourceOfWealth: sourceOfWealth,
  sourceOfWealthV2: sourceOfWealthV2
};