'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initSafeCharge = undefined;

var _utils = require('./utils');

/**
 * @typedef PaymentModel
 * @type {object}
 * @property {number} Amount
 * @property {string} BonusCode
 * @property {string} SuccessUrl
 * @property {string} ErrorUrl
 * @property {string} PendingUrl
 * @property {string} BackUrl
 */

/**
 * @typedef PaymentResponse
 * @type {object}
 * @property {string} GetUrl
 * @property {string} Url
 * @property {object} Parameters
 * @property {string} FormHTML
 */

/**
 * Initiate a safe charge deposit
 * @param {string} playerSessionID 
 * @param {PaymentModel} paymentModel 
 * @returns {PaymentResponse}
 */
var initSafeCharge = exports.initSafeCharge = function initSafeCharge(playerSessionID, paymentModel) {
  return (0, _utils.postProtected)('/payments/safecharge', playerSessionID, paymentModel);
};

exports.default = {
  initSafeCharge: initSafeCharge
};