'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setProperties = exports.getProperty = exports.getProperties = undefined;

var _utils = require('./utils');

var getProperties = exports.getProperties = function getProperties(playerSessionID) {
  return (0, _utils.getProtected)('/player-properties', playerSessionID);
};

var getProperty = exports.getProperty = function getProperty(playerSessionID, propertyName) {
  return (0, _utils.getProtected)('/player-properties/' + propertyName, playerSessionID);
};

var setProperties = exports.setProperties = function setProperties(playerSessionID, payload) {
  return (0, _utils.postProtected)('/player-properties', playerSessionID, payload);
};

exports.default = {
  getProperties: getProperties,
  getProperty: getProperty,
  setProperties: setProperties
};